/*
* Copyright (c) 2004-2007 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Virtual phonebook public UIDs.
*
*/


#ifndef VPBKPUBLICUID_H
#define VPBKPUBLICUID_H


//////////////////////////////////////////////////////////////////////////
//
// Virtual Phonebook Attribute UIDs
//
//////////////////////////////////////////////////////////////////////////

/**
 * Virtual Phonebook Speed Dial Attribute UID
 * 
 * @see CVPbkSpeedDialAttribute
 */
#define KVPbkSpeedDialAttributeImplementationUID 0x10207289

/**
 * Virtual Phonebook Default Attribute UID
 *
 * @see CVPbkDefaultAttribute
 */
#define KVPbkDefaultAttributeImplementationUID 0x1020728a

/**
 * Virtual Phonebook Voice Tag Attribute UID
 *
 * @see CVPbkVoiceTagAttribute
 */
#define KVPbkVoiceTagAttributeImplementationUID 0x1020728b

/**
 * Virtual Phonebook Top Contact Attribute Imp UID
 *
 * @see CVPbkVoiceTagAttribute
 */
#define KVPbkTopContactAttributeManagerImpUid 0x200100E2

//////////////////////////////////////////////////////////////////////////
//
// Contacts Model <-> Virtual Phonebook converter ECOM implementation UID
//
//////////////////////////////////////////////////////////////////////////

/**
 * Virtual Phonebook Contact Id Converter ECOM implementation UID
 *
 * @see CVPbkContactIdConverter
 */
#define KVPbkContactIdConverterImplementationUid 0x1020728c



#endif // VPBKPUBLICUID_H

//End of file

